summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sci-physics/root/files/proofd.initd')
-rw-r--r--sci-physics/root/files/proofd.initd26
1 files changed, 26 insertions, 0 deletions
diff --git a/sci-physics/root/files/proofd.initd b/sci-physics/root/files/proofd.initd
new file mode 100644
index 000000000000..aee1b029b95e
--- /dev/null
+++ b/sci-physics/root/files/proofd.initd
@@ -0,0 +1,26 @@
+#!/sbin/runscript
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+depend() {
+ need root-file-server
+ use logger
+}
+
+start() {
+ ebegin "Starting parallel ROOT facility server"
+ start-stop-daemon --start --quiet \
+ --pidfile /var/run/proofd.pid \
+ --exec /usr/bin/proofd -- ${PROOFD_OPTS} ${PROOF_DIR}
+ pidof /usr/bin/proofd > /var/run/proofd.pid
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping parallel ROOT facility server"
+ start-stop-daemon --stop --quiet \
+ --pidfile /var/run/proofd.pid \
+ --exec /usr/bin/proofd
+ eend $?
+}